> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-8c05c8a2.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 创建邀请

> 创建 organization 邀请。



## OpenAPI

````yaml /zh/_specs/cloud-openapi.json post /v1/organizations/{organizationId}/invitations
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/invitations:
    post:
      tags:
        - User management
      summary: 创建邀请
      description: 创建 organization 邀请。
      parameters:
        - description: 要邀请用户加入的 organization 的 ID。
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InvitationPostRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: 为每个请求分配的唯一 ID。UUIDv4
                    format: uuid
                    type: string
                  result:
                    $ref: '#/components/schemas/Invitation'
                  status:
                    description: HTTP 状态码。
                    example: 200
                    type: number
                type: object
          description: 成功响应
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: 详细error描述。
                    type: string
                  status:
                    description: HTTP 状态码。
                    example: 400
                    type: number
                type: object
          description: 由于请求存在被视为客户端错误的问题，server 无法或不会处理该请求。
components:
  schemas:
    InvitationPostRequest:
      properties:
        email:
          description: 受邀用户的电子邮箱。只有使用该电子邮箱的用户才能通过邀请加入。该电子邮箱将以小写形式存储。
          format: email
          type: string
        role:
          description: 成员在组织中的角色。
          enum:
            - admin
            - developer
          type: string
    Invitation:
      properties:
        createdAt:
          description: 邀请的创建时间戳。ISO-8601。
          format: date-time
          type: string
        email:
          description: 被邀请用户的电子邮箱。只有使用此电子邮箱的用户才能通过该邀请加入。该电子邮箱以小写形式存储。
          format: email
          type: string
        expireAt:
          description: 邀请过期的时间戳。ISO-8601。
          format: date-time
          type: string
        id:
          description: 唯一邀请 ID。
          format: uuid
          type: string
        role:
          description: 成员在组织中的角色。
          enum:
            - admin
            - developer
          type: string
  securitySchemes:
    basicAuth:
      description: >-
        使用从 ClickHouse Cloud 控制台获取的 key ID 和 key
        secret：https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````